// Use this file to define style overrides for @edx/paragon
// This file is included after all Paragon styles, but should generally avoid using private mixins in Paragon.

body, html {
  font-variant: normal;
}

.footer {
  background-color: $gray-footer;
}

// header styles are carefully crafted to match
// the themed header on the lms
.site-header-desktop {
  padding: 15px 40px 10px 40px;
  box-shadow: 0 1px 5px 0 rgba(0, 0, 0, 0.1) !important;

  .container-fluid {
    padding: 0;
  }

  .main-nav {
    margin-left: 15px;
  }

  .nav-link:hover,
  .nav-link:active,
  .nav-link:focus {
    background: none !important;
    color: $blue !important;
  }

  .nav-link {
    padding: 9px 22px 17px 28px !important;
    border-bottom: 4px solid transparent;

    &:hover {
      border-bottom: 4px solid #00828c;
    }
  }

  a.logo {
    box-sizing: border-box;
    height: unset;
    margin: 0;
    padding: 0;
    top: unset;

    img {
      height: 60px;
      width: auto;
    }
  }
}

.btn-outline-primary {
  color: $red;
  border-color: $red;

  &:hover, &:not(:disabled):not(.disabled):active {
    color: lighten($red, 10%);
    border-color: lighten($red, 10%);
    background-color: lighten($red, 80%);
  }
}

nav.secondary-menu-container a.btn {
  display: inline-block;
  border: none;
  border-radius: 15.5px;
  font-weight: bold;
  font-size: 16px;
  line-height: 28px;
  color: $white;
  text-shadow: none;
  text-transform: none;
  background-color: $red;
  background-image: none;
  text-decoration: none;
  padding: 1px 16px 4px 16px;

  &:hover {
    background-color: lighten($red, 10%);
  }
}

.search-page {
  .filters {
    background-color: $gray-100;
    padding: 10px;
  }

  .search-result {
    h2 > a {
      color: $blue;
      font-size: 24px;
      font-style: normal;
      font-variant: normal;
      font-weight: 400;

      &:hover {
        text-decoration: none;
        color: lighten($blue, 10%);
      }
    }
  }

  .results-stats {
    color: $gray-600;
  }

  .pagination {
    .page-btn {
      color: $teal;
      background-color: $white;

      &.active {
        color: $white;
        background-color: $red;
      }

      &[disabled] {
        color: $gray-500;
      }
    }
  }
}

.search-heading {
  visibility: hidden;

  &:before {
    display: block;
    visibility: visible;
    color: $red;
    font-size: 1.5rem;
    font-weight: 400;
    font-variant: normal;
    content: "Discover new training";
    padding-left: 10px;
  }
}
